;(function($, window, document, undefined) {
	'use strict';
	
	$(document).ready(function($) {
		var $head = $('head'),
		fontId = 'imgl-fontawesome-css',
		effectsId = 'imgl-effects-css',
		$imagelinks_css = $('<link>'),
		$imagelinks_templates_css = $('<link>'),
		$imagelinks_js = $('<script>');
		
		$head.append($imagelinks_css);
		$imagelinks_css.attr({
			'rel' : 'stylesheet',
			'type': 'text/css',
			'href': imagelinks_globals.plugin_base_url + 'imagelinks.min.css'
		});
		
		
		$head.append($imagelinks_js); // note: important to add to body first!!!
		$imagelinks_js.on('load', () => {});
		$imagelinks_js.attr({
			'type': 'text/javascript',
			'src' : imagelinks_globals.plugin_base_url + 'jquery.imagelinks.min.js'
		});
		
		//=============================================
		// Item Styles
		//=============================================
		$('.imgl-map').each(function(index, el) {
			var jsonSrc = $(el).data('json-src');
			
			$.ajax({
				url: jsonSrc,
				type: 'GET',
				dataType: 'json'
			}).done(function(data) {
				//=============================================
				// FontAwesome
				//=============================================
				if(data.flags.fontawesome && document.getElementById(fontId) == null) {
					var $font_css = $('<link>');
					
					$font_css.attr({
						'id'  : fontId,
						'rel' : 'stylesheet',
						'type': 'text/css',
						'href': imagelinks_globals.fontawesome_url
					}).appendTo($head);
				}
				
				//=============================================
				// Effects
				//=============================================
				if(data.flags.effects && document.getElementById(effectsId) == null) {
					var $effects_css = $('<link>');
					
					$effects_css.attr({
						'id'  : effectsId,
						'rel' : 'stylesheet',
						'type': 'text/css',
						'href': imagelinks_globals.effects_url
					}).appendTo($head);
				}
				
				//=============================================
				// Theme
				//=============================================
				if(data.theme && document.getElementById('imgl-theme-' + data.theme + '-css') == null) {
					var $theme_css = $('<link>'),
					theme_url = imagelinks_globals.theme_base_url + data.theme + '.min.css?ver=' + imagelinks_globals.version;
					
					$theme_css.attr({
						'id'  : 'imgl-theme-' + data.theme + '-css',
						'rel' : 'stylesheet',
						'type': 'text/css',
						'href': theme_url
					}).appendTo($head);
				}
				
				//=============================================
				// Main & Custom Styles
				//=============================================
				var itemId = $(el).data('item-id');
				
				if(document.getElementById('imgl-main-' + itemId + '-css') == null) {
					var $main_css = $('<link>'),
					main_css_url = imagelinks_globals.plugin_upload_base_url + itemId + '/main.css?ver=' + imagelinks_globals.version;
					
					$main_css.attr({
						'id'  : 'imgl-main-' + itemId + '-css',
						'rel' : 'stylesheet',
						'type': 'text/css',
						'href': main_css_url
					}).appendTo($head);
				}
				
				if(data.flags.customCSS && document.getElementById('imgl-custom-' + itemId + '-css') == null) {
					var $custom_css = $('<link>'),
					custom_css_url = imagelinks_globals.plugin_upload_base_url + itemId + '/custom.css?ver=' + imagelinks_globals.version;
					
					$custom_css.attr({
						'id'  : 'imgl-custom-' + itemId + '-css',
						'rel' : 'stylesheet',
						'type': 'text/css',
						'href': custom_css_url
					}).appendTo($head);
				}
			});
		});
	});
})(jQuery, window, document);
